#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by git-commit with one argument, the name of the file
# that has the commit message.  The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit.  The hook is allowed to edit the commit message file.
#
# To enable this hook, make this file executable.

# Uncomment the below to add a Signed-off-by line to the message.
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

# This example catches duplicate Signed-off-by lines.

test "" = "$(grep '^Signed-off-by: ' "$1" |
	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
	echo >&2 Duplicate Signed-off-by lines.
	exit 1
}

# Too bad there isn't a way to use suggest without -a at least I didn't see one in the man page :\
aspell > /dev/null
if [ $? -eq 0 ] ; then
    spellingerrors=`cat $1 | aspell --suggest -a | grep '^&'`;
    if [ ! -z "${spellingerrors}" ] ; then
        echo "Fix Spelling errors in the commit message";
        echo "${spellingerrors}";
        exit 0
    fi
fi
